# WOK
TKWOK
WOKTools

# WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString Class Reference

`#include <WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString.hxx>`

Inheritance diagram for WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString ()
Standard_EXPORT | WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString (const WOKTools_DataMapOfHAsciiStringOfHSequenceOfHAsciiString &aMap)
Standard_EXPORT void | Initialize (const WOKTools_DataMapOfHAsciiStringOfHSequenceOfHAsciiString &aMap)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const Handle_TColStd_HSequenceOfHAsciiString & | Value () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString::WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString | ( |  | ) |

Standard_EXPORT WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString::WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString | ( | const WOKTools_DataMapOfHAsciiStringOfHSequenceOfHAsciiString & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString::Hashcode | ( |  | ) | const

Standard_EXPORT void WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString::Initialize | ( | const WOKTools_DataMapOfHAsciiStringOfHSequenceOfHAsciiString & | aMap | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString::Key | ( |  | ) | const

void WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

Standard_EXPORT const Handle_TColStd_HSequenceOfHAsciiString& WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- WOKTools_DataMapIteratorOfDataMapOfHAsciiStringOfHSequenceOfHAsciiString.hxx